from makeitparallel import Communicator, initialization

# Create a communicator object
communicator = Communicator()


# Define a function that only needs to be executed in the root
@initialization
def simple_test():
    return "Something"


# Call the function
my_thing = simple_test()


# Check what do the different processes have
print("I'm %s and I have %s" % (str(communicator.rank), str(my_thing)))


"""
Running with 8 tasks the output will look like:

I'm 3 and I have None
I'm 2 and I have None
I'm 5 and I have None
I'm 6 and I have None
I'm 1 and I have None
I'm 4 and I have None
I'm 0 and I have Something
I'm 7 and I have None

"""
