from typing import Any


class Task:
    def __init__(self, function, arguments) -> None:
        self.function = function
        self.arguments = arguments
    
    def run(self) -> Any:
        return self.function(*self.arguments)
